/*
Copyright © 2018 Roesner P/L

i4M Machine Controller
*/
var fs = require('fs');

readConfigFile();

function readConfigFile(){
	try {
		//read and parse the config file
		var rawData = fs.readFileSync('/home/pi/servermain/config.json');
		config = JSON.parse(rawData);
		
		var appName = config.appName;
		
		loadApp(appName);
	}
	catch (e){
		console.log('Catch error servermain readConfigFile');
	}
}

//load the appropriate app
function loadApp(appName){
	try {
		if (appName == 'appVR'){
			var app = require('./appVR/appVR.js');
			console.log('selecting appVR');
		}
		else if (appName == 'appFR'){
			var app = require('./appFR/appFR.js');
			console.log('selecting appFR');
		}
		else if (appName == 'appMON'){
			var app = require('./appMON/appMON.js');
			console.log('selecting appMON');
		}
	}
	catch (e){
		console.log('Catch error servermain loadApp');
	}
}




